Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.j2ssh.authentication
Class KBIAuthenticationClient

    java.lang.Object
      com.sshtools.j2ssh.authentication.SshAuthenticationClient
          com.sshtools.j2ssh.authentication.KBIAuthenticationClient

public class KBIAuthenticationClient
extends SshAuthenticationClient

DOCUMENT ME!

Constructor Summary
`KBIAuthenticationClient()`

Method Summary
`void` | `authenticate(AuthenticationProtocolClient authentication, java.lang.String serviceToStart)` DOCUMENT ME!
`boolean` | `canAuthenticate()` DOCUMENT ME!
`java.lang.String` | `getMethodName()` DOCUMENT ME!
`java.util.Properties` | `getPersistableProperties()` DOCUMENT ME!
`void` | `setKBIRequestHandler(KBIRequestHandler handler)` DOCUMENT ME!
`void` | `setPersistableProperties(java.util.Properties properties)` DOCUMENT ME!

Methods inherited from class com.sshtools.j2ssh.authentication.SshAuthenticationClient
`canPrompt, getAuthenticationPrompt, getUsername, setAuthenticationPrompt, setUsername`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KBIAuthenticationClient

    public KBIAuthenticationClient()

Method Detail

### getPersistableProperties

    public java.util.Properties getPersistableProperties()

  DOCUMENT ME!

  Specified by:
    `getPersistableProperties` in class `SshAuthenticationClient`
  Returns:
    DOCUMENT ME!

### setKBIRequestHandler

    public void setKBIRequestHandler(KBIRequestHandler handler)

  DOCUMENT ME!

  Parameters:
    `handler` - DOCUMENT ME!

### authenticate

    public void authenticate(AuthenticationProtocolClient authentication,
                             java.lang.String serviceToStart)
                      throws TerminatedStateException,
                             java.io.IOException

  DOCUMENT ME!

  Specified by:
    `authenticate` in class `SshAuthenticationClient`
  Parameters:
    `authentication` - DOCUMENT ME!
    `serviceToStart` - DOCUMENT ME!
  Throws:
    `TerminatedStateException` - DOCUMENT ME!
    `java.io.IOException` - DOCUMENT ME!
    `AuthenticationProtocolException` - DOCUMENT ME!

### canAuthenticate

    public boolean canAuthenticate()

  DOCUMENT ME!

  Specified by:
    `canAuthenticate` in class `SshAuthenticationClient`
  Returns:
    DOCUMENT ME!

### getMethodName

    public java.lang.String getMethodName()

  DOCUMENT ME!

  Specified by:
    `getMethodName` in class `SshAuthenticationClient`
  Returns:
    DOCUMENT ME!

### setPersistableProperties

    public void setPersistableProperties(java.util.Properties properties)

  DOCUMENT ME!

  Specified by:
    `setPersistableProperties` in class `SshAuthenticationClient`
  Parameters:
    `properties` - DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD